db-derby-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daria Titova <Daria.Tit...@Sun.COM>
Subject Re: Derby 10.3.1.4 building problem
Date Wed, 22 Aug 2007 13:12:32 GMT
Kristian Waagan wrote:
> Daria Titova skrev:
>> Hi guys,
>>
>> I've tried to build Derby 10.3.1.4 from source.
>> I downloaded Derby source from 
>> http://db.apache.org/derby/derby_downloads.html and did all 
>> preparation steps from building.txt files, but I had problems 
>> building Derby. There were a lot of compilation errors while 
>> compiling files from 
>> ${derby.source}/java/engine/org/apache/derby/iapi/types directory:
>> ...
>>    [javac] 
>> C:\db-derby-10.3.1.4-src\java\engine\org\apache\derby\iapi\types\SqlXmlUtil.java:611

>>
>> : cannot find symbol
>>    [javac] symbol  : class XNodeSet
>>    [javac] location: class org.apache.derby.iapi.types.SqlXmlUtil
>>    [javac]             else if (!(xOb instanceof XNodeSet))
>>    [javac]                                       ^
>>    [javac] 
>> C:\db-derby-10.3.1.4-src\java\engine\org\apache\derby\iapi\types\SqlXmlUtil.java:625

>>
>> : cannot find symbol
>>    [javac] symbol  : class XNodeSet
>>    [javac] location: class org.apache.derby.iapi.types.SqlXmlUtil
>>    [javac]         if (!(xOb instanceof XNodeSet))
>>    [javac]                              ^                              ^
>>
>> As far as I understand these errors occur because the compiler does 
>> not find Xalan library. And Xalan library is not mentioned in 
>> buildilng.txt at all. Just adding Xalan library to the 
>> ${derby.source}/tools/java directory does not fix compilation problem.
>>
>> Do you have any suggestions?
>
> Hello Daria,
>
> Could you please post the contents of your ~/ant.properties (or 
> similar for Windows)?
> Are you sure you are not using JDK 1.5 libraries instead of JDK 1.4 
> libraries?
Thank you for help, Kristian!
The problem was using JDK 1.5 libraries instead of JDK 1.4 libraries.

> regards,


Mime
View raw message